<?php
/********************************************************************

   PhPeace - Portal Management System

   Copyright notice
   (C) 2003-2019 Francesco Iannuzzelli <francesco@phpeace.org>
   All rights reserved

   This script is part of PhPeace.
   PhPeace is free software; you can redistribute it and/or modify 
   it under the terms of the GNU General Public License as 
   published by the Free Software Foundation; either version 2 of 
   the License, or (at your option) any later version.

   PhPeace is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   The GNU General Public License (GPL) is available at
   http://www.gnu.org/copyleft/gpl.html.
   A copy can be found in the file COPYING distributed with 
   these scripts.

   This copyright notice MUST APPEAR in all copies of the script!

********************************************************************/

if (!defined('SERVER_ROOT'))
	define('SERVER_ROOT',$_SERVER['DOCUMENT_ROOT']);
include_once(SERVER_ROOT."/../classes/adminhelper.php");
include_once(SERVER_ROOT."/../classes/formhelper.php");
include_once(SERVER_ROOT."/../modules/ali.php");

$ah = new AdminHelper;
$ah->CheckAuth();

$ali	= new Ali;

$fh = new FormHelper;
$post = $fh->HttpPost();

$action2	= $post['action2'];
$from		= $post['from'];

if ($from=="person1")
{
	$id_center		= $post['id_center'];
	$id_user		= $post['id_user'];
	$insert_date	= $fh->DateMerge("insert_date",$post);
	$name			= $post['name'];
	$surname		= $post['surname'];
	$birth_place	= $post['birth_place'];
	$dob			= $fh->CheckDateString($post['dob']);
	$contact		= $post['contact'];
	if ($action2=="update")
	{
		$id_person	= $post['id_person'];
		$ali->PersonUpdate1($id_person,$name,$surname,$insert_date,$birth_place,$dob,$id_center,$contact,$id_user);
		header("Location: persons.php");
	}
	if ($action2=="insert")
	{
		$id_person = $ali->PersonInsert($name,$surname,$insert_date,$birth_place,$dob,$id_center,$contact,$id_user);
		header("Location: person2.php?id=$id_person");
	}
}

if ($from=="person2")
{
	$name			= $post['name'];
	$name2			= $post['name2'];
	$surname		= $post['surname'];
	$gender			= $post['gender'];
	$dob			= $fh->CheckDateString($post['dob']);
	$country		= $post['country'];
	$address_1		= $post['address_1'];
	$zipcode_1		= $post['zipcode_1'];
	$town_1			= $post['town_1'];
	$id_province_1	= $post['id_province_1'];
	$address_2		= $post['address_2'];
	$zipcode_2		= $post['zipcode_2'];
	$town_2			= $post['town_2'];
	$id_province_2	= $post['id_province_2'];
	$phone			= $post['phone'];
	$email			= $post['email'];
	$taxcode		= $post['taxcode'];
	$passport		= $post['passport'];
	$passport_date	= $fh->CheckDateString($post['passport_date']);
	$resident_permit_type	= $post['resident_permit_type'];
	$resident_permit_expire_date	= $fh->CheckDateString($post['resident_permit_expire_date']);
	$health_card	= $fh->Checkbox2bool($post['health_card']);
	$driving_licence	= $fh->Checkbox2bool($post['driving_licence']);
	$driving_licence_type	= $post['driving_licence_type'];
	$family			= $post['family'];
	$status			= $post['status'];
	$marriage_day	= $fh->CheckDateString($post['marriage_day']);
	$gather_family	= $fh->Checkbox2bool($post['gather_family']);
	$sons			= $post['sons'];
	$relatives		= $post['relatives'];
	$disability		= $post['disability'];
	$id_person	= $post['id_person'];

	$ali->PersonUpdate2($id_person,$name,$name2,$surname,$gender,$dob,$country,$address_1,$zipcode_1,$town_1,$id_province_1,$address_2,$zipcode_2,$town_2,$id_province_2,$phone,$email,
$taxcode,$passport,$passport_date,$resident_permit_type,$resident_permit_expire_date,$health_card,$driving_licence,$driving_licence_type,
$family,$status,$marriage_day,$gather_family,$sons,$relatives,$disability);
	header("Location: person3.php?id=$id_person");
}

if ($from=="person3")
{
	$employed		= $fh->Checkbox2bool($post['employed']);
	$change_job		= $fh->Checkbox2bool($post['change_job']);
	$shifts			= $fh->ParseCheckList("shifts",$post);
	$commute		= $fh->Checkbox2bool($post['commute']);
	$transport		= $fh->ParseCheckList("transport",$post);
	$skills			= $post['skills'];
	$tskills		= $post['tskills'];
	$aims			= $post['aims'];
	$job_notes		= $post['job_notes'];
	$id_person	= $post['id_person'];
	$ali->PersonUpdate3($id_person,$change_job,$shifts,$commute,$transport,$employed,$skills,$tskills,$aims,$job_notes);
	header("Location: person4.php?id=$id_person");
}

if ($from=="person4")
{
	$languages		= $post['languages'];
	$italian		= $post['italian'];
	$computer		= $fh->Checkbox2bool($post['computer']);
	$software		= $post['software'];
	$edu_notes		= $post['edu_notes'];
	$id_person	= $post['id_person'];
	$ali->PersonUpdate4($id_person,$languages,$italian,$computer,$edu_notes,$software);
	header("Location: person5.php?id=$id_person");
}

if ($from=="person5")
{
	$change_home		= $fh->Checkbox2bool($post['change_home']);
	$change_home_reason	= $post['change_home_reason'];
	$home_area		= $post['home_area'];
	$home_max_rent		= $fh->String2Number($post['home_max_rent']);
	$home_type		= $fh->ParseCheckList("home_type",$post);
	$home_notes		= $post['home_notes'];
	$id_person	= $post['id_person'];
	$ali->PersonUpdate5($id_person,$change_home,$change_home_reason,$home_area,$home_max_rent,$home_type,$home_notes);
	header("Location: person6.php?id=$id_person");
}

if ($from=="person6")
{
	$salary			= $post['salary'];
	$bank_account		= $fh->Checkbox2bool($post['bank_account']);
	$home_support		= $fh->Checkbox2bool($post['home_support']);
	$religion		= $post['religion'];
	$emi_reason		= $fh->ParseCheckList("emi_reason",$post);
	$town_reason		= $post['town_reason'];
	$how_much_support	= $fh->String2Number($post['how_much_support']);
	$varia_notes		= $post['varia_notes'];
	$id_person	= $post['id_person'];
	$ali->PersonUpdate6($id_person,$salary,$bank_account,$home_support,$religion,$emi_reason,$town_reason,$how_much_support,$varia_notes);
	header("Location: person.php?id=$id_person");
}

if ($from=="center")
{
	$id_center		= $post['id_center'];
	$name			= $post['name'];
	$id_province	= $post['id_province'];
	if ($action2=="update")
		$ali->CenterUpdate($id_center,$name,$id_province);
	if ($action2=="insert")
		$ali->CenterInsert($name,$id_province);
	header("Location: centers.php");
}

if ($from=="company")
{
	$id_company		= $post['id_company'];
	$name			= $post['name'];
	$sector			= $post['sector'];
	$id_province	= $post['id_province'];
	$address		= $post['address'];
	$town			= $post['town'];
	$phone			= $post['phone'];
	$postcode		= $post['postcode'];
	$insert_date	= $fh->DateMerge("insert_date",$post);
	$notes			= $post['notes'];
	if ($action2=="update")
		$ali->CompanyUpdate($id_company,$name,$sector,$id_province,$address,$town,$phone,$insert_date,$postcode,$notes);
	if ($action2=="insert")
		$ali->CompanyInsert($name,$sector,$id_province,$address,$town,$phone,$insert_date,$postcode,$notes);
	header("Location: companies.php");
}

if ($from=="company_question")
{
	$id_question	= $post['id_question'];
	$id_company		= $post['id_company'];
	$user			= $post['user'];
	$insert_date	= $fh->DateMerge("insert_date",$post);
	$name			= $post['name'];
	$role			= $post['role'];
	$employees		= $post['employees'];
	$employees_f	= $fh->String2Number($post['employees_f']);
	$employees_r	= $fh->String2Number($post['employees_r']);
	$employees_rf	= $post['employees_rf'];
	$profiles		= $post['profiles'];
	$gender			= $post['gender'];
	$education		= $post['education'];
	$language		= $post['language'];
	$contract		= $post['contract'];
	$notes			= $post['notes'];
	if ($action2=="update")
		$ali->CompanyQuestionUpdate($id_question,$user,$insert_date,$name,$role,$employees,$employees_f,$employees_r,
		$employees_rf,$profiles,$gender,$education,$language,$contract,$notes);
	if ($action2=="insert")
		$ali->CompanyQuestionInsert($id_company,$user,$insert_date,$name,$role,$employees,$employees_f,$employees_r,
		$employees_rf,$profiles,$gender,$education,$language,$contract,$notes);
	header("Location: company.php?id=$id_company");
}

if ($from=="person_register")
{
	$id_person		= $post['id_person'];
	$id_register		= $post['id_register'];
	$start_date		= $post['start_date'];
	$type			= $post['type'];
	$length			= $post['length'];
	if ($action2=="update")
		$ali->PersonRegisterUpdate($id_register,$id_person,$start_date,$type,$length);
	if ($action2=="insert")
		$ali->PersonRegisterInsert($id_person,$start_date,$type,$length);
	header("Location: person2.php?id=$id_person");
}

if ($from=="person_inout")
{
	$id_person		= $post['id_person'];
	$id_inout		= $post['id_inout'];
	$start_date		= $post['start_date'];
	$reason			= $post['reason'];
	if ($action2=="update")
		$ali->PersonInOutUpdate($id_inout,$id_person,$start_date,$reason);
	if ($action2=="insert")
		$ali->PersonInOutInsert($id_person,$start_date,$reason);
	header("Location: person2.php?id=$id_person");
}

if ($from=="person_relative")
{
	$id_relative		= $post['id_relative'];
	$id_person_rel		= $post['id_person_rel'];
	$relation		= $post['relation'];
	$gender			= $post['gender'];
	$yearborn		= $fh->String2Number($post['yearborn']);
	$country		= $post['country'];
	$study			= $post['study'];
	$job			= $post['job'];
	$id_person		= $fh->String2Number($post['id_person']);
	if ($action2=="update")
		$ali->PersonRelativeUpdate($id_relative,$id_person_rel,$relation,$gender,$yearborn,$country,$study,$job,$id_person);
	if ($action2=="insert")
		$ali->PersonRelativeInsert($id_person_rel,$relation,$gender,$yearborn,$country,$study,$job,$id_person);
	header("Location: person2.php?id=$id_person_rel");
}

if ($from=="person_job")
{
	$id_job			= $post['id_job'];
	$id_person		= $post['id_person'];
	$period			= $post['period'];
	$description		= $post['description'];
	$country		= $post['country'];
	$contract		= $post['contract'];
	$employer		= $post['employer'];
	$contact		= $post['contact'];
	$left_reason		= $post['left_reason'];
	$parttime		= $post['parttime'];
	$job_notes		= $post['job_notes'];
	if ($action2=="update")
		$ali->PersonJobUpdate($id_job,$id_person,$period,$description,$country,$contract,$employer,$contact,$left_reason,$parttime,$job_notes);
	if ($action2=="insert")
		$ali->PersonJobInsert($id_person,$period,$description,$country,$contract,$employer,$contact,$left_reason,$parttime,$job_notes);
	header("Location: person3.php?id=$id_person");
}

if ($from=="person_edu")
{
	$id_edu			= $post['id_edu'];
	$id_person		= $post['id_person'];
	$description		= $post['description'];
	$country		= $post['country'];
	$length			= $fh->String2Number($post['length']);
	$completed		= $fh->Checkbox2bool($post['completed']);
	if ($action2=="update")
		$ali->PersonEduUpdate($id_edu,$id_person,$description,$country,$completed,$length);
	if ($action2=="insert")
		$ali->PersonEduInsert($id_person,$description,$country,$completed,$length);
	header("Location: person4.php?id=$id_person");
}

if ($from=="person_home")
{
	$id_home		= $post['id_home'];
	$id_person		= $post['id_person'];
	$period			= $post['period'];
	$place			= $post['place'];
	$type			= $post['type'];
	$contract		= $post['contract'];
	$contact		= $post['contact'];
	$left_reason		= $post['left_reason'];
	$home_notes		= $post['home_notes'];
	if ($action2=="update")
		$ali->PersonHomeUpdate($id_home,$id_person,$period,$place,$type,$contract,$contact,$left_reason,$home_notes);
	if ($action2=="insert")
		$ali->PersonHomeInsert($id_person,$period,$place,$type,$contract,$contact,$left_reason,$home_notes);
	header("Location: person5.php?id=$id_person");
}

if ($from=="person_soc")
{
	$id_soc			= $post['id_soc'];
	$id_person		= $post['id_person'];
	$period			= $post['period'];
	$service		= $post['service'];
	if ($action2=="update")
		$ali->PersonSocUpdate($id_soc,$id_person,$period,$service);
	if ($action2=="insert")
		$ali->PersonSocInsert($id_person,$period,$service);
	header("Location: person6.php?id=$id_person");
}

if ($from=="person_service")
{
	$id_service		= $post['id_service'];
	$insert_date		= $fh->DateMerge("insert_date",$post);
	$info			= $fh->ParseCheckList("info",$post);
	$request		= $fh->ParseCheckList("request",$post);
	$job_search		= $fh->ParseCheckList("job_search",$post);
	$home_search		= $fh->ParseCheckList("home_search",$post);
	$support		= $fh->ParseCheckList("support",$post);
	$support_description	= $post['support_description'];
	$result			= $post['result'];
	$notes			= $post['notes'];
	$id_person		= $post['id_person'];
	if ($action2=="update")
		$ali->PersonServiceUpdate($id_service,$id_person,$insert_date,$info,$request,$job_search,$home_search,$support,$support_description,$result,$notes);
	if ($action2=="insert")
		$ali->PersonServiceInsert($id_person,$insert_date,$info,$request,$job_search,$home_search,$support,$support_description,$result,$notes);
	header("Location: person7.php?id=$id_person");
}

?>

