<?php
/********************************************************************

   PhPeace - Portal Management System

   Copyright notice
   (C) 2003-2019 Francesco Iannuzzelli <francesco@phpeace.org>
   All rights reserved

   This script is part of PhPeace.
   PhPeace is free software; you can redistribute it and/or modify 
   it under the terms of the GNU General Public License as 
   published by the Free Software Foundation; either version 2 of 
   the License, or (at your option) any later version.

   PhPeace is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   The GNU General Public License (GPL) is available at
   http://www.gnu.org/copyleft/gpl.html.
   A copy can be found in the file COPYING distributed with 
   these scripts.

   This copyright notice MUST APPEAR in all copies of the script!

********************************************************************/

if (!defined('SERVER_ROOT'))
	define('SERVER_ROOT',$_SERVER['DOCUMENT_ROOT']);
include_once(SERVER_ROOT."/include/header.php");
include_once(SERVER_ROOT."/../modules/ali.php");
include_once(SERVER_ROOT."/../classes/geo.php");


$ali = new Ali;

$id_company = $_GET['id_c'];
$id_question = $_GET['id'];
$company = $ali->CompanyGet($id_company);
$title[] = array($company[name],'company.php?id='.$id_company);

if ($id_question>0)
{
	$action2 = "update";
	$row = $ali->CompanyQuestionGet($id_question);
	$title[] = array('Questionario del ' . $hh->FormatDateTime($row[insert_date]),'');
}
else
{
	$action2 = "insert";
	$title[] = array('Inserimento questionario','');
}

if ($ah->current_user_id==$row[id_user] || $module_admin)
	$input_right = 1;

echo $hh->ShowTitle($title);
?>
<script type="text/javascript">
function dosubmit(action2)
{
	f=document.forms['form1'];
	boolOK = true;
	strAlert = "";
	if (boolOK==true)
	{
		f.action2.value = action2;
		f.submit();
	}
	else
		alert(strAlert);
}
</script>
<form name="form1" action="actions.php" method="post">
<input type="hidden" name="action2" value="<?=$action2;?>">
<input type="hidden" name="from" value="company_question">
<input type="hidden" name="id_company" value="<?=$id_company;?>">
<input type="hidden" name="id_question" value="<?=$id_question;?>">
<table border=0 cellpadding=0 cellspacing=7>
<?php
echo $hh->input_separator("autore questionario");
echo $hh->input_text("nome","user",$row[user],50,0,$input_right);
echo $hh->input_date("data","insert_date",$row[insert_date],$input_right);
echo $hh->input_textarea("note","notes",$row['notes'],60,3,"",$input_right);

echo $hh->input_separator("contatto presso l'azienda");
echo $hh->input_text("nome","name",$row[name],50,0,$input_right);
echo $hh->input_text("ruolo","role",$row[role],30,0,$input_right);
echo $hh->input_separator("questionario");

$combo_values1 = array('0'=>'--','1'=>'Tra 10 e 20 addetti','2'=>'Tra 21 e 49 addetti','3'=>'Tra 50 e 199 addetti','4'=>'200 o pi? addetti','5'=>'Non risponde');
echo $hh->input_array("numero di addetti","employees",$row[employees],$combo_values1,$input_right);

echo $hh->input_text("numero lavoratori<br>extracomunitari'","employees_f",$row[employees_f],4,0,$input_right);
echo $hh->input_text("assunzioni previste<br>nei prossimi mesi","employees_r",$row[employees_r],4,0,$input_right);
$combo_values2 = array('0'=>'--','1'=>'Si','2'=>'No','3'=>'Non risponde');
echo $hh->input_array("assunzioni previste<br>di extracomunitari","employees_rf",$row[employees_rf],$combo_values2,$input_right);

echo $hh->input_textarea("figure professionali","profiles",$row['profiles'],60,3,"",$input_right);
$combo_values2 = array('0'=>'--','1'=>'Uomo','2'=>'Donna','3'=>'Indifferente');
echo $hh->input_array("uono o donna","gender",$row[gender],$combo_values2,$input_right);

$combo_values3 = array('0'=>'--','1'=>'Licenza media o inferiore','2'=>'Qualifica professionale','3'=>'Diploma di scuola secondaria superiore','4'=>'Laurea','5'=>'Non e\' importante, basta l\'esperienza','6'=>'Non risponde');
echo $hh->input_array("formazione","education",$row[education],$combo_values3,$input_right);

$combo_values4 = array('0'=>'--','1'=>'Ottimo','2'=>'Buono','3'=>'Anche scarso','4'=>'Indifferente');
echo $hh->input_array("conoscenza italiano richiesta","language",$row[language],$combo_values4,$input_right);

$combo_values5 = array('0'=>'--','1'=>'Dip. Indeterminato','2'=>'Dip. Determinato','3'=>'Co.Pro.','4'=>'Apprendistato','5'=>'Interinale','6'=>'Non risponde');
echo $hh->input_array("contratto","contract",$row[contract],$combo_values5,$input_right);

echo $hh->input_submit("conferma","dosubmit('$action2')",$input_right);
?>
</table>
</form>
<?php
include_once(SERVER_ROOT."/include/footer.php");
?>
