<?php
/********************************************************************

   PhPeace - Portal Management System

   Copyright notice
   (C) 2003-2019 Francesco Iannuzzelli <francesco@phpeace.org>
   All rights reserved

   This script is part of PhPeace.
   PhPeace is free software; you can redistribute it and/or modify 
   it under the terms of the GNU General Public License as 
   published by the Free Software Foundation; either version 2 of 
   the License, or (at your option) any later version.

   PhPeace is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   The GNU General Public License (GPL) is available at
   http://www.gnu.org/copyleft/gpl.html.
   A copy can be found in the file COPYING distributed with 
   these scripts.

   This copyright notice MUST APPEAR in all copies of the script!

********************************************************************/

if (!defined('SERVER_ROOT'))
	define('SERVER_ROOT',$_SERVER['DOCUMENT_ROOT']);
include_once(SERVER_ROOT."/include/header.php");
include_once(SERVER_ROOT."/../modules/ali.php");
include_once(SERVER_ROOT."/../classes/geo.php");


$ali = new Ali;

$id_person = $_GET['id'];

$row = $ali->PersonGet($id_person);
$title[] = array("$row[name] $row[surname]",'person.php?id='.$id_person);
$title[] = array("Anagrafica",'');

if ($module_right)
	$input_right = 1;

echo $hh->ShowTitle($title);
echo "<div style=\"float: right; border: 1px solid #DDDDDD; margin: 5px; padding: 3px; background-color: #EEEEEE;\">ID$row[id_person] - Centro C$row[id_center]</div>\n";
?>
<script type="text/javascript">
function dosubmit()
{
	f=document.forms['form1'];
	boolOK = true;
	strAlert = "";
	if ((f.name.value=="") && (f.surname.value==""))
	{
		strAlert = strAlert + "Manca il nome\n";
		boolOK = false;
	}
	if (boolOK==true)
		f.submit();
	else
		alert(strAlert);
}
</script>
<form name="form1" action="actions.php" method="post">
<input type="hidden" name="action2" value="update">
<input type="hidden" name="from" value="person2">
<input type="hidden" name="id_person" value="<?=$id_person;?>">
<table border=0 cellpadding=0 cellspacing=7>
<?php
echo $hh->input_separator("SCHEDA ANAGRAFICA di $row[name] $row[surname]");
echo $hh->input_text("nome","name",$row[name],30,0,$input_right);
echo $hh->input_text("secondo nome","name2",$row[name2],30,0,$input_right);
echo $hh->input_text("cognome","surname",$row[surname],30,0,$input_right);
$combo_values2 = array('M'=>'M','F'=>'F');
echo $hh->input_array("sesso","gender",$row[gender],$combo_values2,$input_right);
echo $hh->input_date_text("data di nascita<br>(gg-mm-aaaa)","dob",$row[dob],10,0,$input_right);
echo $hh->input_text("nazionalita'","country",$row[country],30,0,$input_right);
echo $hh->input_separator("RESIDENZA");
echo $hh->input_text("indirizzo","address_1",$row[address_1],40,0,$input_right);
echo $hh->input_text("cap","zipcode_1",$row[zipcode_1],10,0,$input_right);
echo $hh->input_text("citta'","town_1",$row[town_1],30,0,$input_right);
$geo = new Geo();
echo $hh->input_row("provincia","id_province_1",$row['id_province_1'],$geo->Provinces(),"---scegliere---",0,$input_right);
echo $hh->input_separator("DOMICILIO");
echo $hh->input_text("indirizzo","address_2",$row[address_2],40,0,$input_right);
echo $hh->input_text("cap","zipcode_2",$row[zipcode_2],10,0,$input_right);
echo $hh->input_text("citta'","town_2",$row[town_2],30,0,$input_right);
echo $hh->input_row("provincia","id_province_2",$row['id_province_2'],$geo->Provinces(),"---scegliere---",0,$input_right);
echo $hh->input_separator("CONTATTI");
echo $hh->input_text("telefoni","phone",$row[phone],50,0,$input_right);
echo $hh->input_text("email","email",$row[email],50,0,$input_right);
echo $hh->input_separator("DOCUMENTI");
echo $hh->input_text("codice fiscale","taxcode",$row[taxcode],20,0,$input_right);
echo $hh->input_text("passaporto n.","passport",$row[passport],20,0,$input_right);
echo $hh->input_date_text("rilasciato il<br>(gg-mm-aaaa)","passport_date",$row[passport_date],10,0,$input_right);
echo $hh->input_text("tipo di permesso di soggiorno","resident_permit_type",$row[resident_permit_type],20,0,$input_right);
echo $hh->input_date_text("scadenza permesso di soggiorno<br>(gg-mm-aaaa)","resident_permit_expire_date",$row[resident_permit_expire_date],10,0,$input_right);
echo $hh->input_checkbox("tessera sanitaria","health_card",$row[health_card],0,$input_right);
echo $hh->input_checkbox("patente","driving_licence",$row[driving_licence],0,$input_right);
echo $hh->input_text("tipo di patente","driving_licence_type",$row[driving_licence_type],4,0,$input_right);

$prs = $ali->PersonRegistrations($id_person);
if (count($prs)>0)
{
	$pr_table = "<table border=1 cellspacing=0 cellpadding=2><tr><th>mese/anno</th><th>tipo di permesso</th><th>durata (in mesi)</th><th></th></tr>";
	foreach($prs as $pr)
		$pr_table .= "<tr><td>$pr[start_date]</td><td>$pr[type]</td><td>$pr[length]</td><td><a href=\"person_register.php?id_p=$id_person&id=$pr[id_register]\">modifica</a></td></tr>\n";
	$pr_table .= "</table>";
}
echo $hh->input_table("regolarizzazioni precedenti","person_register.php?id_p=$id_person&id=0",$input_right,$pr_table);

$ios = $ali->PersonInOuts($id_person);
if (count($ios)>0)
{
	$io_table = "<table border=1 cellspacing=0 cellpadding=2><tr><th>mese/anno</th><th>motivo (vacanza, motivi familiari, espulsione)</th><th></th></tr>";
	foreach($ios as $io)
		$io_table .= "<tr><td>$io[start_date]</td><td>$io[reason]</td><td><a href=\"person_inout.php?id_p=$id_person&id=$io[id_inout]\">modifica</a></td></tr>\n";
	$io_table .= "</table>";
}
echo $hh->input_table("entrate e uscite dall'italia","person_inout.php?id_p=$id_person&id=0",$input_right,$io_table);

echo $hh->input_separator("FAMIGLIA");
echo $hh->input_text("num. componenti nucleo familiare di origine","family",$row[family],4,0,$input_right);
$combo_values3 = array('1'=>'celibe/nubile','2'=>'coniugato/a','3'=>'separato/a','4'=>'divorziato/a');
echo $hh->input_array("stato civile","status",$row[status],$combo_values3,$input_right);
echo $hh->input_date_text("eventuale data matrimonio<br>(gg-mm-aaaa)","marriage_day",$row[marriage_day],10,0,$input_right);
echo $hh->input_checkbox("intenzionato al ricongiungimento","gather_family",$row[gather_family],0,$input_right);
for($i=0;$i<11;$i++)
	$combo_values4["".$i.""] = $i;
echo $hh->input_array("num. figli","sons",$row['sons'],$combo_values4,$input_right);

$rels = $ali->PersonRelatives($id_person);
if (count($rels)>0)
{
	$rels_table = "<table border=1 cellspacing=0 cellpadding=2><tr><th>&nbsp;</th><th>sesso</th><th>anno nascita</th><th>dove vive</th><th>titolo di studio</th><th>attivita'</th><th>id</th><th></th></tr>";
	foreach($rels as $rel)
		$rels_table .= "<tr><td>$rel[relation]</td><td>$rel[gender]</td><td>$rel[yearborn]</td><td>$rel[country]</td><td>$rel[study]</td><td>$rel[job]</td><td>$rel[id_person]</td><td><a href=\"person_relative.php?id_p=$id_person&id=$rel[id_relative]\">modifica</a></td></tr>\n";
	$rels_table .= "</table>";
}
echo $hh->input_table("parenti","person_relative.php?id_p=$id_person&id=0",$input_right,$rels_table);


echo $hh->input_textarea("altri parenti in Italia","relatives",$row[relatives],60,3,"",$input_right);
echo $hh->input_textarea("eventuale invalidita'","disability",$row[disability],60,3,"",$input_right);


echo $hh->input_submit("conferma","dosubmit()",$input_right);
?>
</table>
</form>
<?php
include_once(SERVER_ROOT."/include/footer.php");
?>
