<?php
/********************************************************************

   PhPeace - Portal Management System

   Copyright notice
   (C) 2003-2019 Francesco Iannuzzelli <francesco@phpeace.org>
   All rights reserved

   This script is part of PhPeace.
   PhPeace is free software; you can redistribute it and/or modify 
   it under the terms of the GNU General Public License as 
   published by the Free Software Foundation; either version 2 of 
   the License, or (at your option) any later version.

   PhPeace is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   The GNU General Public License (GPL) is available at
   http://www.gnu.org/copyleft/gpl.html.
   A copy can be found in the file COPYING distributed with 
   these scripts.

   This copyright notice MUST APPEAR in all copies of the script!

********************************************************************/

if (!defined('SERVER_ROOT'))
	define('SERVER_ROOT',$_SERVER['DOCUMENT_ROOT']);
include_once(SERVER_ROOT."/../classes/error.php");
include_once(SERVER_ROOT."/../classes/formhelper.php");
include_once(SERVER_ROOT."/../classes/polls.php");
$fh = new FormHelper(false,0,false);
$get = $fh->HttpGet(false);

if(isset($get['t']))
{
	$token = $get['t'];
	$pl = new Polls();
	if($pl->PersonTokenValid($token))
	{
		$poll_person = $pl->PersonTokenGet($token);
		$id_poll = (int)$poll_person['id_poll'];
		$id_p = (int)$poll_person['id_p'];
		if($id_poll>0 && $id_p>0)
		{
			$pl = new Polls();
			$poll = $pl->PollGet($id_poll);
		
			$qgroups = $pl->PersonResultsByGroup($id_poll,$id_p);
			include_once(SERVER_ROOT."/../others/php-ofc-library/open-flash-chart.php");
			include_once(SERVER_ROOT."/../others/php-ofc-library/ofc_sugar.php");
			
			$chart = new open_flash_chart();
			//$chart->set_title( new title( $poll['title'] ) );
			
			$area = new area();
			// set the circle line width:
			$area->set_width( 1 );
			$area->set_default_dot_style( new s_hollow_dot('#45909F', 5) );
			$area->set_colour( '#45909F' );
			$area->set_fill_colour( '#45909F' );
			$area->set_fill_alpha( 0.4 );
			$area->set_loop();
			
			$area_values = array();
			$spoke_labels = array();
			foreach($qgroups as $group)
			{
				$area_values[] = $group['total_perc'];
				$spoke_labels[] = $group['name'];
			}
			$area->set_values($area_values);
			
			// add the area object to the chart:
			$chart->add_element( $area );
			
			$r = new radar_axis( 100 );
			
			//$r->set_max(max($area_values) + 10);
			$r->set_colour( '#EFD1EF' );
			$r->set_grid_colour( '#EFD1EF' );
			$r->set_steps(10);
			$labels = new radar_axis_labels( array('0','1','2','3','4','5') );
			$labels->set_colour( '#9F819F' );
			//$r->set_labels( $labels );
			
			$r->set_spoke_labels(new radar_spoke_labels($spoke_labels));
			
			$chart->set_radar_axis( $r );
			
			$tooltip = new tooltip();
			$tooltip->set_proximity();
			$chart->set_tooltip( $tooltip );
			
			$chart->set_bg_colour( '#FFFFFF' );
			
			echo $chart->toPrettyString();
		
		}		
	}
}



?>
