<?php
/********************************************************************

   PhPeace - Portal Management System

   Copyright notice
   (C) 2003-2019 Francesco Iannuzzelli <francesco@phpeace.org>
   All rights reserved

   This script is part of PhPeace.
   PhPeace is free software; you can redistribute it and/or modify 
   it under the terms of the GNU General Public License as 
   published by the Free Software Foundation; either version 2 of 
   the License, or (at your option) any later version.

   PhPeace is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   The GNU General Public License (GPL) is available at
   http://www.gnu.org/copyleft/gpl.html.
   A copy can be found in the file COPYING distributed with 
   these scripts.

   This copyright notice MUST APPEAR in all copies of the script!

********************************************************************/

$_SERVER['DOCUMENT_ROOT'] = realpath("../");
define('SERVER_ROOT',$_SERVER['DOCUMENT_ROOT']);
include_once(SERVER_ROOT."/../classes/error.php");

$options = getopt("e:b:d:");

if(is_array($options) && $options['e']!="" && $options['b']>0)
{
	include_once(SERVER_ROOT."/../classes/people.php");
	$pe = new People();
	$rows = $pe->SearchBounces( $options['e'], $options['b']);
	if(count($rows)>0) {
		echo count($rows) . " users found\n";
		foreach($rows as $row) {
			echo "Deleting {$row['email']} - {$row['name1']} {$row['name2']} ({$row['bounces']})\n";
			if(!isset($options['d'])) {
				$pe->Delete($row['id_p'],false);
			}
		}
	} else {
		echo "No users found with email \"{$options['e']}\" and bounces >= {$options['b']}\n";
	}
}


?>
